
package ai.nextbillion.octant.rest.model;

import com.google.gson.annotations.SerializedName;

import ai.nextbillion.octant.rest.ObjectsHelper;

/**
 * ProtoUploadPositionRequest
 */
public class UploadPositionRequest {
    @SerializedName("Coords")
    private UserCoords coords = null;

    @SerializedName("updated")
    private String updated = null;

    public UploadPositionRequest coords(UserCoords coords) {
        this.coords = coords;
        return this;
    }

    /**
     * Get coords
     *
     * @return coords
     **/
    public UserCoords getCoords() {
        return coords;
    }

    public void setCoords(UserCoords coords) {
        this.coords = coords;
    }

    public UploadPositionRequest updated(String updated) {
        this.updated = updated;
        return this;
    }

    /**
     * Get updated
     *
     * @return updated
     **/
    public String getUpdated() {
        return updated;
    }

    public void setUpdated(String updated) {
        this.updated = updated;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        UploadPositionRequest uploadPositionRequest = (UploadPositionRequest) o;
        return ObjectsHelper.equals(this.coords, uploadPositionRequest.coords) &&
                ObjectsHelper.equals(this.updated, uploadPositionRequest.updated);
    }

    @Override
    public int hashCode() {
        return ObjectsHelper.hash(coords, updated);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class ProtoUploadPositionRequest {\n");

        sb.append("    coords: ").append(toIndentedString(coords)).append("\n");
        sb.append("    updated: ").append(toIndentedString(updated)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
            return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

