
package ai.nextbillion.octant.rest.model;

import com.google.gson.annotations.SerializedName;

import ai.nextbillion.octant.rest.ObjectsHelper;

/**
 * ProtoUploadPositionResponse
 */
public class UploadPositionResponse {
    @SerializedName("status")
    private String status = null;

    @SerializedName("message")
    private String message = null;

    public UploadPositionResponse status(String status) {
        this.status = status;
        return this;
    }

    /**
     * Get status
     *
     * @return status
     **/
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public UploadPositionResponse message(String message) {
        this.message = message;
        return this;
    }

    /**
     * Get message
     *
     * @return message
     **/
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        UploadPositionResponse uploadPositionResponse = (UploadPositionResponse) o;
        return ObjectsHelper.equals(this.status, uploadPositionResponse.status) &&
                ObjectsHelper.equals(this.message, uploadPositionResponse.message);
    }

    @Override
    public int hashCode() {
        return ObjectsHelper.hash(status, message);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class ProtoUploadPositionResponse {\n");

        sb.append("    status: ").append(toIndentedString(status)).append("\n");
        sb.append("    message: ").append(toIndentedString(message)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
            return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

