package ai.nextbillion.octant;

import android.util.Log;

public class Logger {
    public static void i(String tag, String msg) {
        if (OctantPlugin.debugEnabled) {
            Log.i(tag, msg);
        }
    }

    public static void d(String tag, String msg) {
        if (OctantPlugin.debugEnabled) {
            Log.d(tag, msg);
        }
    }

    public static void v(String tag, String msg) {
        if (OctantPlugin.debugEnabled) {
            Log.v(tag, msg);
        }
    }

    public static void w(String tag, String msg) {
        if (OctantPlugin.debugEnabled) {
            Log.w(tag, msg);
        }
    }

    public static void e(String tag, String msg) {
        if (OctantPlugin.debugEnabled) {
            Log.e(tag, msg);
        }
    }

    public static void i(String tag, String msg, Throwable thr) {
        if (OctantPlugin.debugEnabled) {
            Log.i(tag, msg, thr);
        }
    }

    public static void d(String tag, String msg, Throwable thr) {
        if (OctantPlugin.debugEnabled) {
            Log.d(tag, msg, thr);
        }
    }

    public static void v(String tag, String msg, Throwable thr) {
        if (OctantPlugin.debugEnabled) {
            Log.v(tag, msg, thr);
        }
    }

    public static void w(String tag, String msg, Throwable thr) {
        if (OctantPlugin.debugEnabled) {
            Log.w(tag, msg, thr);
        }
    }

    public static void e(String tag, String msg, Throwable thr) {
        if (OctantPlugin.debugEnabled) {
            Log.e(tag, msg, thr);
        }
    }
}
