
package ai.nextbillion.octant.rest.model;

import java.util.Objects;

import com.google.gson.annotations.SerializedName;

/**
 * ProtoCoordinate
 */
public class Coordinate {
    @SerializedName("ts")
    private String ts = null;

    @SerializedName("lat")
    private Double lat = null;

    @SerializedName("lng")
    private Double lng = null;

    public Coordinate ts(String ts) {
        this.ts = ts;
        return this;
    }

    /**
     * Get ts
     *
     * @return ts
     **/
    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public Coordinate lat(Double lat) {
        this.lat = lat;
        return this;
    }

    /**
     * Get lat
     *
     * @return lat
     **/
    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    public Coordinate lng(Double lng) {
        this.lng = lng;
        return this;
    }

    /**
     * Get lng
     *
     * @return lng
     **/
    public Double getLng() {
        return lng;
    }

    public void setLng(Double lng) {
        this.lng = lng;
    }


    @Override
    public boolean equals(java.lang.Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        Coordinate coordinate = (Coordinate) o;
        return Objects.equals(this.ts, coordinate.ts) &&
                Objects.equals(this.lat, coordinate.lat) &&
                Objects.equals(this.lng, coordinate.lng);
    }

    @Override
    public int hashCode() {
        return Objects.hash(ts, lat, lng);
    }


    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("class ProtoCoordinate {\n");

        sb.append("    ts: ").append(toIndentedString(ts)).append("\n");
        sb.append("    lat: ").append(toIndentedString(lat)).append("\n");
        sb.append("    lng: ").append(toIndentedString(lng)).append("\n");
        sb.append("}");
        return sb.toString();
    }

    /**
     * Convert the given object to string with each line indented by 4 spaces
     * (except the first line).
     */
    private String toIndentedString(java.lang.Object o) {
        if (o == null) {
            return "null";
        }
        return o.toString().replace("\n", "\n    ");
    }

}

